Subject: Re: [PATCH] proc_fs.h redux

From: Russell King <[email-masked]>
Date: Sun, 28 Oct 2007 13:04:29 +0000

On Sun, Oct 28, 2007 at 12:59:52PM +0100, Bernhard Walle wrote:
> * Russell King <[email-masked]> [2007-10-28 11:34]:
> > 
> > If you go down that route, you end up with _lots_ of circular
> > dependencies - header file X needs Y needs Z which needs X.  We've
> > been there, several times.  It very quickly becomes quite
> > unmaintainable - you end up with hard to predict behaviour from
> > include files.
> > 
> > The only realistic solution is to use forward declarations.
> 
> In header files, yes. But that's not true for implementation files.

I don't think that needs saying - it's quite obvious.  You can't
access the contents of structures without their definitions being
available.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: